extend("fiskheroes:doctor_strange");
loadTextures({
    "layer1": "fiskheroes:doctor_strange_supreme_layer1",
    "pants": "fiskheroes:doctor_strange_supreme_pants",
    "pants_robes": "fiskheroes:doctor_strange_supreme_pants_robes",
    "boots": "fiskheroes:doctor_strange_supreme_boots",
    "cape": "fiskheroes:doctor_strange_supreme_cape",
    "collar_right": "fiskheroes:doctor_strange_supreme_collar_right",
    "collar_left": "fiskheroes:doctor_strange_supreme_collar_left"
});

var collar_right;
var collar_left;

function init(renderer) {
    parent.init(renderer);
}

function initEffects(renderer) {
    parent.initEffects(renderer);
	
    collar_right = renderer.createEffect("fiskheroes:shield");
    collar_right.texture.set("collar_right");
    collar_right.anchor.set("head");
    collar_right.setCurve(0.0, 0.0);
	collar_right.setOffset(5.0, -6.0, 1.0);
	collar_right.setRotation(0.0, 15.0, 0.0);
	
    collar_left = renderer.createEffect("fiskheroes:shield");
    collar_left.texture.set("collar_left");
    collar_left.anchor.set("head");
    collar_left.setCurve(0.0, 0.0);
	collar_left.setOffset(-5.0, -6.0, 1.0);
	collar_left.setRotation(0.0, -15.0, 0.0);
}

function render(entity, renderLayer, isFirstPersonArm) {
    parent.render(entity, renderLayer, isFirstPersonArm);
    if (renderLayer == "CHESTPLATE") {
		collar_right.render();
		collar_left.render();
    }
}